#version 330
out vec4 frag_color;

in vec2 p;

uniform bool inherit_layer_color;
uniform sampler2D in_tex;
uniform vec2 in_tex_offset;
uniform vec3 front_fill_color;
uniform bool inner_extrusion;

void main() {
    if (inherit_layer_color) {
        vec2 uv = (p - in_tex_offset) / vec2(textureSize(in_tex, 0));
        frag_color = texture(in_tex, uv) * (clamp(uv, 0.0, 1.0) == uv ? 1.0 : 0.0);
    } else {
        frag_color = vec4(front_fill_color, 1.0);
    }

	gl_FragDepth = inner_extrusion ? 1.0 : 0.0;
}
